package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class StrukPelayanan
 * 
 * @author Generator
 */
@Entity
@Table(name = "StrukPelayanan_T")
public class StrukPelayanan extends BaseTransaction {

	@Column(name = "AlamatEmailRekanan", nullable = true, length = 50)
	@Caption(value = "Alamat Email Rekanan")
	private String alamatemailrekanan;

	@Column(name = "AlamatEmailRekananSales", nullable = true, length = 50)
	@Caption(value = "Alamat Email Rekanan Sales")
	private String alamatemailrekanansales;
	
	@Column(name = "noSppb", nullable = true, length = 100)
	@Caption(value = "No SPPB")
	private String noSppb;
	
	@Column(name = "noKontrak", nullable = true, length = 100)
	@Caption(value = "No Kontrak")
	private String noKontrak;
	
	@Column(name = "noTerima", nullable = true, length = 100)
	@Caption(value = "NO Terima")
	private String noTerima;

	@Column(name = "AlamatTempatTujuan", nullable = true, length = 150)
	@Caption(value = "Alamat Tempat Tujuan")
	private String alamattempattujuan;

	@Column(name = "isDelivered", nullable = true)
	@Caption(value = "Is Delivered")
	private Byte isdelivered;

	@Column(name = "isPickup", nullable = true)
	@Caption(value = "Is Pickup")
	private Byte ispickup;

	@ManyToOne
	@JoinColumn(name = "ObjectKamarLastFk")
	@Caption(value = "Object Kamar Last")
	private Kamar kdkamarlast;

	@Column(name = "ObjectKamarLastFk", insertable = false, updatable = false, nullable = true)
	private Integer ObjectKamarLastId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectProsesSterilisasi")
	@Caption(value = "Cssd Proses Sterilisasi")
	private CssdProsesSterilisasi cssdProsesSterilisasi;

	@Column(name = "ObjectProsesSterilisasi", insertable = false, updatable = false, nullable = true)
	private Integer cssdProsesSterilisasiId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectKelasKamarLastFk")
	@Caption(value = "Object Kelas Kamar Last")
	private DetailKamar kdkelaskamarlast;

	@Column(name = "ObjectKelasKamarLastFk", insertable = false, updatable = false, nullable = true)
	private Integer ObjectKelasKamarLastId;

	// Beda kelas sama kelas
	// kamar?>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectKelasLastFk")
	@Caption(value = "Object Kelas Last")
	private DetailKamar kdkelaslast;

	@Column(name = "ObjectKelasLastFk", insertable = false, updatable = false, nullable = true)
	private Integer ObjectKelasLastId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectKelompokTransaksiFk")
	@Caption(value = "Object Kelompok Transaksi")
	private KelompokTransaksi kdkelompoktransaksi;

	@Column(name = "ObjectKelompokTransaksiFk", insertable = false, updatable = false, nullable = true)
	private Integer ObjectKelompokTransaksiId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectMetodeDeliveryFk")
	@Caption(value = "Object Metode Delivery")
	private MetodeDelivery kdmetodedelivery;

	@Column(name = "ObjectMetodeDeliveryFk", insertable = false, updatable = false, nullable = true)
	private Integer ObjectMetodeDeliveryId;

	@ManyToOne
	@JoinColumn(name = "ObjectPegawaiPenerimaFk")
	@Caption(value = "Object Pegawai Penerima")
	private Pegawai kdpegawaipenerima;

	@Column(name = "ObjectPegawaiPenerimaFk", insertable = false, updatable = false, nullable = true)
	private Integer ObjectPegawaiPenerimaId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectRekananFk")
	@Caption(value = "Object Rekanan")
	private Rekanan kdrekanan;

	@Column(name = "ObjectRekananFk", insertable = false, updatable = false, nullable = true)
	private Integer ObjectRekananId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectRekananSalesFk")
	@Caption(value = "Object Rekanan Sales")
	private Rekanan kdrekanansales;

	@Column(name = "ObjectRekananSalesFk", insertable = false, updatable = false, nullable = true)
	private Integer ObjectRekananSalesId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectRuanganFk")
	@Caption(value = "Object Ruangan")
	private Ruangan kdruangan;

	@Column(name = "ObjectRuanganFk", insertable = false, updatable = false, nullable = true)
	private Integer ObjectRuanganId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectRuanganAsalFk")
	@Caption(value = "Object Ruangan Asal")
	private Ruangan kdruanganasal;

	@Column(name = "ObjectRuanganAsalFk", insertable = false, updatable = false, nullable = true)
	private Integer ObjectRuanganAsalId;

	@Caption(value = "Keterangan Lainnya")
	@Column(name = "KeteranganLainnya", nullable = true, length = 150)
	private String keteranganlainnya;

	@Caption(value = "Nama Kurir Pengirim")
	@Column(name = "NamaKurirPengirim", nullable = true, length = 40)
	private String namakurirpengirim;

	@Caption(value = "Nama Pasien Klien")
	@Column(name = "NamaPasien_Klien", nullable = true, length = 40)
	private String namapasien_klien;

	@Caption(value = "Nama Pegawai Penerima")
	@Column(name = "NamaPegawaiPenerima", nullable = true, length = 100)
	private String namapegawaipenerima;

	@Caption(value = "Nama Rekanan")
	@Column(name = "NamaRekanan", nullable = true, length = 50)
	private String namarekanan;

	@Caption(value = "Nama Rekanan Sales")
	@Column(name = "NamaRekananSales", nullable = true, length = 40)
	private String namarekanansales;

	@Caption(value = "Nama Tempat Tujuan")
	@Column(name = "NamaTempatTujuan", nullable = true, length = 75)
	private String namatempattujuan;

	@Caption(value = "Nama User Faktur")
	@Column(name = "NamaUserFaktur", nullable = true, length = 40)
	private String namauserfaktur;

	@Caption(value = "No Bed Last")
	@Column(name = "NoBedLast", nullable = true)
	private Byte nobedlast;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "NoClosingFk")
	@Caption(value = "No Closing")
	private StrukClosing noclosing;

	@Column(name = "NoClosingFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String NoClosingId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "NoCMFk")
	@Caption(value = "No C M")
	private Pasien nocm;

	@Column(name = "NoCMFk", insertable = false, updatable = false, nullable = true)
	private Integer NoCMId;

	@Caption(value = "No Faktur")
	@Column(name = "NoFaktur", nullable = true, length = 20)
	private String nofaktur;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "NoMasukFk")
	@Caption(value = "No Masuk")
	private RegistrasiPelayananPasien nomasuk;

	@Column(name = "NoMasukFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String NoMasukId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "NoOrderFk")
	@Caption(value = "No Order")
	private StrukOrder noorder;

	@Column(name = "NoOrderFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String NoOrderId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "NoPlanningFk")
	@Caption(value = "No Planning")
	private StrukPlanning noplanning;

	@Column(name = "NoPlanningFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String NoPlanningId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "NoRegistrasiFk")
	@Caption(value = "No Registrasi")
	private PasienDaftar noregistrasi;

	@Column(name = "NoRegistrasiFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String NoRegistrasiId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "NoSBKLastFk")
	@Caption(value = "No S B K Last")
	private StrukBuktiPengeluaran nosbklast;

	@Column(name = "NoSBKLastFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String NoSBKLastId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "NoSBMLastFk")
	@Caption(value = "No S B M Last")
	private StrukBuktiPenerimaan nosbmlast;

	@Column(name = "NoSBMLastFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String NoSBMLastId;

	@Caption(value = "No Struk")
	@Column(name = "NoStruk", nullable = true, length = 100)
	private String nostruk;

	@Caption(value = "No Struk_ Intern")
	@Column(name = "NoStruk_Intern", nullable = true, length = 100)
	private String nostruk_intern;
	
	@Caption(value = "No Dokumen")
	@Column(name = "noDokumen", nullable = true, length = 100)
	private String noDokumen;
	

	@Caption(value = "No Dokumen")
	@Column(name = "tglDokumen", nullable = true, length = 100)
	private Date tglDokumen;

	@Caption(value = "No Dokumen")
	@Column(name = "noPesanan", nullable = true, length = 100)
	private String noPesanan;

	@Caption(value = "No Telepon Faks")
	@Column(name = "NoTeleponFaks", nullable = true, length = 30)
	private String noteleponfaks;

	@Caption(value = "No Telp Mobile Rekanan Sales")
	@Column(name = "NoTelpMobileRekananSales", nullable = true, length = 30)
	private String notelpmobilerekanansales;

	@Caption(value = "No Telp Mobile Tempat Tujuan")
	@Column(name = "NoTelpMobileTempatTujuan", nullable = true, length = 30)
	private String notelpmobiletempattujuan;

	@Caption(value = "No Urut Login")
	@Column(name = "NoUrutLogin", nullable = true, length = 10)
	private String nourutlogin;

	@Caption(value = "No Urut Ruangan")
	@Column(name = "NoUrutRuangan", nullable = true, length = 10)
	private String nourutruangan;
	
	@Caption(value = "No Urut")
	@Column(name = "noUrut",nullable=true )
	private Integer noUrut;

	@Caption(value = "Perusahaan Kurir")
	@Column(name = "PerusahaanKurir", nullable = true, length = 75)
	private String perusahaankurir;

	@Caption(value = "Qty Detail Jenis Produk")
	@Column(name = "QtyDetailJenisProduk", nullable = true)
	private Double qtydetailjenisproduk;

	@Caption(value = "Qty Orang Last")
	@Column(name = "QtyOrangLast", nullable = true)
	private Byte qtyoranglast;

	@Caption(value = "Qty Produk")
	@Column(name = "QtyProduk", nullable = true)
	private Double qtyproduk;

	@Caption(value = "Tanggal Faktur")
	@Column(name = "Tglfaktur", nullable = true)
	private Date tglfaktur;
	
	@Caption(value = "Tanggal Kontrak")
	@Column(name = "Tglkontrak", nullable = true)
	private Date tanggalKontrak;
	
	@Caption(value = "Tanggal Spk")
	@Column(name = "Tglspk", nullable = true)
	private Date tanggalSpk;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectPegawaiMengetahuiFk")
	@Caption(value = "Object Pegawai Mengetahui")
	private Pegawai mengetahui;

	@Column(name = "ObjectPegawaiMengetahuiFk", insertable = false, updatable = false)
	private Integer mengetahuiId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectPegawaiPenanggungJawabFk")
	@Caption(value = "Object Pegawai Mengetahui")
	private Pegawai pjPenerima;

	@Column(name = "ObjectPegawaiPenanggungJawabFk", insertable = false, updatable = false)
	private Integer pjPenerimaId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectPegawaiMenerimaFk")
	@Caption(value = "Object Pegawai Penerima")
	private Pegawai menerima;

	@Column(name = "ObjectPegawaiMenerimaFk", insertable = false, updatable = false)
	private Integer menerimaId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectMenyerahkanFk")
	@Caption(value = "Object Pegawai Meneyrahkan")
	private Pegawai menyerahkan;

	@Column(name = "ObjectMenyerahkanFk", insertable = false, updatable = false)
	private Integer menyerahkanId;

	@Caption(value = "Tanggal Jatuh Tempo")
	@Column(name = "TglJatuhTempo", nullable = true)
	private Date tgljatuhtempo;

	@Caption(value = "Tanggal Struk")
	@Column(name = "TglStruk", nullable = true)
	private Date tglstruk;

	@Caption(value = "Tanggal Terima Kiriman")
	@Column(name = "TglTerimaKiriman", nullable = true)
	private Date tglterimakiriman;

	@Caption(value = "Total Bea Materai")
	@Column(name = "TotalBeaMaterai", nullable = true)
	private Double totalbeamaterai;

	@Caption(value = "Total Berat Kg")
	@Column(name = "TotalBeratKg", nullable = true)
	private Double totalberatkg;

	@Caption(value = "Total Biaya Kirim")
	@Column(name = "TotalBiayaKirim", nullable = true)
	private Double totalbiayakirim;

	@Caption(value = "Total Biaya Tambahan")
	@Column(name = "TotalBiayaTambahan", nullable = true)
	private Double totalbiayatambahan;

	@Caption(value = "Total Discount")
	@Column(name = "TotalDiscount", nullable = true)
	private Double totaldiscount;

	@Caption(value = "Total Discount Give")
	@Column(name = "TotalDiscountGive", nullable = true)
	private Double totaldiscountgive;

	@Caption(value = "Total Discount Save")
	@Column(name = "TotalDiscountSave", nullable = true)
	private Double totaldiscountsave;

	@Caption(value = "Total Harga Satuan")
	@Column(name = "TotalHargaSatuan", nullable = true)
	private Double totalhargasatuan;

	@Caption(value = "Total Harus Di Bayar")
	@Column(name = "TotalHarusDiBayar", nullable = true)
	private Double totalharusdibayar;

	@Caption(value = "Total P P H")
	@Column(name = "TotalPPH", nullable = true)
	private Double totalpph;

	@Caption(value = "Total P P N")
	@Column(name = "TotalPPN", nullable = true)
	private Double totalppn;

	@Caption(value = "Total P Profile")
	@Column(name = "TotalPProfile", nullable = true)
	private Double totalpprofile;

	@Caption(value = "Total P Rekanan")
	@Column(name = "TotalPRekanan", nullable = true)
	private Double totalprekanan;

	@ManyToOne
	@JoinColumn(name = "ObjectSatuanWaktuKeslingFk")
	@Caption(value = "Object Mata Uang")
	private SatuanWaktuKesling satuanWaktuKesling;

	@Column(name = "ObjectSatuanWaktuKeslingFk", insertable = false, updatable = false)
	private Integer ObjectSatuanWaktuKeslingId;

	// @JsonIgnore
	@JsonManagedReference
	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "nostruk")
	@Caption(value = "strukPelayananDetail")
	private Set<StrukPelayananDetail> strukPelayananDetail = new HashSet<StrukPelayananDetail>();

	@JsonManagedReference
	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "noStrukTerima")
	private Set<HargaNettoProdukByTerima> hargaNettoProdukByTerima = new HashSet<HargaNettoProdukByTerima>();

	@JsonManagedReference
	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "strukPelayanan")
	private Set<StokProdukDetail> stokProdukDetail = new HashSet<StokProdukDetail>();
	
	@JsonManagedReference
	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "strukPelayanan")
	private Set<CssdMappingCaraSterilisasi> cssdMappingProsesSterelisasi = new HashSet<CssdMappingCaraSterilisasi>();

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectJenisLimbahB3MasukFk")
	@Caption(value = "Jenis Limbah")
	private JenisLimbahB3Masuk jenisLimbahB3Masuk;

	@Column(name = "ObjectJenisLimbahB3MasukFk", insertable = false, updatable = false, nullable = true)
	private Integer jenisLimbahB3MasukId;

	@Column(name = "isVerifikasi", nullable = true)
	@Caption(value = "verfikasi")
	private String verifikasi;
	
	@JsonManagedReference
	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "noStruk")
	private Set<StrukPelayananPenjamin> penjamin = new HashSet<StrukPelayananPenjamin>();

	@Caption(value = "NoRecTriger")
	@Column(name = "noRecTriger", nullable = true)
	private String noRecTriger;
	
	@Column(name = "linenBs")
	private String linenBs;
	
	@Column(name = "linenB")
	private String linenB;
	
	@Column(name = "linenS")
	private String linenS;
	
	@Column(name = "linenK")
	private String linenK;
	
	@Column(name = "poucesBs")
	private String poucesBs;
	
	@Column(name = "poucesB")
	private String poucesB;
	
	@Column(name = "poucesS")
	private String poucesS;
	
	@Column(name = "poucesK")
	private String poucesK;
	
	@Column(name = "namaLengkapAmbil")
	@Caption(value = "namaLengkapAmbil")
	private String namaLengkapAmbil;

	@Column(name = "tglAmbil")
	@Caption(value = "tglAmbil")
	private Date tglAmbil;
	
	@Column(name = "keteranganAmbil")
	@Caption(value = "keteranganAmbil")
	private String keteranganAmbil;

	public String getAlamatemailrekanan() {
		return alamatemailrekanan;
	}

	public void setAlamatemailrekanan(String alamatemailrekanan) {
		this.alamatemailrekanan = alamatemailrekanan;
	}

	public String getAlamatemailrekanansales() {
		return alamatemailrekanansales;
	}

	public void setAlamatemailrekanansales(String alamatemailrekanansales) {
		this.alamatemailrekanansales = alamatemailrekanansales;
	}

	public String getAlamattempattujuan() {
		return alamattempattujuan;
	}

	public void setAlamattempattujuan(String alamattempattujuan) {
		this.alamattempattujuan = alamattempattujuan;
	}

	public Byte getIsdelivered() {
		return isdelivered;
	}

	public void setIsdelivered(Byte isdelivered) {
		this.isdelivered = isdelivered;
	}

	public Byte getIspickup() {
		return ispickup;
	}

	public void setIspickup(Byte ispickup) {
		this.ispickup = ispickup;
	}

	public Kamar getKdkamarlast() {
		return kdkamarlast;
	}

	public void setKdkamarlast(Kamar kdkamarlast) {
		this.kdkamarlast = kdkamarlast;
	}

	public Integer getObjectKamarLastId() {
		return ObjectKamarLastId;
	}

	public void setObjectKamarLastId(Integer objectKamarLastId) {
		ObjectKamarLastId = objectKamarLastId;
	}

	public DetailKamar getKdkelaskamarlast() {
		return kdkelaskamarlast;
	}

	public void setKdkelaskamarlast(DetailKamar kdkelaskamarlast) {
		this.kdkelaskamarlast = kdkelaskamarlast;
	}

	public Integer getObjectKelasKamarLastId() {
		return ObjectKelasKamarLastId;
	}

	public void setObjectKelasKamarLastId(Integer objectKelasKamarLastId) {
		ObjectKelasKamarLastId = objectKelasKamarLastId;
	}

	public DetailKamar getKdkelaslast() {
		return kdkelaslast;
	}

	public void setKdkelaslast(DetailKamar kdkelaslast) {
		this.kdkelaslast = kdkelaslast;
	}

	public Integer getObjectKelasLastId() {
		return ObjectKelasLastId;
	}

	public void setObjectKelasLastId(Integer objectKelasLastId) {
		ObjectKelasLastId = objectKelasLastId;
	}

	public KelompokTransaksi getKdkelompoktransaksi() {
		return kdkelompoktransaksi;
	}

	public void setKdkelompoktransaksi(KelompokTransaksi kdkelompoktransaksi) {
		this.kdkelompoktransaksi = kdkelompoktransaksi;
	}

	public Integer getObjectKelompokTransaksiId() {
		return ObjectKelompokTransaksiId;
	}

	public void setObjectKelompokTransaksiId(Integer objectKelompokTransaksiId) {
		ObjectKelompokTransaksiId = objectKelompokTransaksiId;
	}

	public MetodeDelivery getKdmetodedelivery() {
		return kdmetodedelivery;
	}

	public void setKdmetodedelivery(MetodeDelivery kdmetodedelivery) {
		this.kdmetodedelivery = kdmetodedelivery;
	}

	public Integer getObjectMetodeDeliveryId() {
		return ObjectMetodeDeliveryId;
	}

	public void setObjectMetodeDeliveryId(Integer objectMetodeDeliveryId) {
		ObjectMetodeDeliveryId = objectMetodeDeliveryId;
	}

	public Integer getObjectPegawaiPenerimaId() {
		return ObjectPegawaiPenerimaId;
	}

	public void setObjectPegawaiPenerimaId(Integer objectPegawaiPenerimaId) {
		ObjectPegawaiPenerimaId = objectPegawaiPenerimaId;
	}

	public Rekanan getKdrekanan() {
		return kdrekanan;
	}

	public void setKdrekanan(Rekanan kdrekanan) {
		this.kdrekanan = kdrekanan;
	}

	public Integer getObjectRekananId() {
		return ObjectRekananId;
	}

	public void setObjectRekananId(Integer objectRekananId) {
		ObjectRekananId = objectRekananId;
	}

	public Rekanan getKdrekanansales() {
		return kdrekanansales;
	}

	public void setKdrekanansales(Rekanan kdrekanansales) {
		this.kdrekanansales = kdrekanansales;
	}

	public Integer getObjectRekananSalesId() {
		return ObjectRekananSalesId;
	}

	public void setObjectRekananSalesId(Integer objectRekananSalesId) {
		ObjectRekananSalesId = objectRekananSalesId;
	}

	public Ruangan getKdruangan() {
		return kdruangan;
	}

	public void setKdruangan(Ruangan kdruangan) {
		this.kdruangan = kdruangan;
	}

	public Integer getObjectRuanganId() {
		return ObjectRuanganId;
	}

	public void setObjectRuanganId(Integer objectRuanganId) {
		ObjectRuanganId = objectRuanganId;
	}

	public Ruangan getKdruanganasal() {
		return kdruanganasal;
	}

	public void setKdruanganasal(Ruangan kdruanganasal) {
		this.kdruanganasal = kdruanganasal;
	}

	public Integer getObjectRuanganAsalId() {
		return ObjectRuanganAsalId;
	}

	public void setObjectRuanganAsalId(Integer objectRuanganAsalId) {
		ObjectRuanganAsalId = objectRuanganAsalId;
	}

	public String getKeteranganlainnya() {
		return keteranganlainnya;
	}

	public void setKeteranganlainnya(String keteranganlainnya) {
		this.keteranganlainnya = keteranganlainnya;
	}

	public String getNamakurirpengirim() {
		return namakurirpengirim;
	}

	public void setNamakurirpengirim(String namakurirpengirim) {
		this.namakurirpengirim = namakurirpengirim;
	}

	public String getNamapasien_klien() {
		return namapasien_klien;
	}

	public void setNamapasien_klien(String namapasien_klien) {
		this.namapasien_klien = namapasien_klien;
	}

	public String getNamapegawaipenerima() {
		return namapegawaipenerima;
	}

	public void setNamapegawaipenerima(String namapegawaipenerima) {
		this.namapegawaipenerima = namapegawaipenerima;
	}

	public String getNamarekanan() {
		return namarekanan;
	}

	public void setNamarekanan(String namarekanan) {
		this.namarekanan = namarekanan;
	}

	public String getNamarekanansales() {
		return namarekanansales;
	}

	public void setNamarekanansales(String namarekanansales) {
		this.namarekanansales = namarekanansales;
	}

	public String getNamatempattujuan() {
		return namatempattujuan;
	}

	public void setNamatempattujuan(String namatempattujuan) {
		this.namatempattujuan = namatempattujuan;
	}

	public String getNamauserfaktur() {
		return namauserfaktur;
	}

	public void setNamauserfaktur(String namauserfaktur) {
		this.namauserfaktur = namauserfaktur;
	}

	public Byte getNobedlast() {
		return nobedlast;
	}

	public void setNobedlast(Byte nobedlast) {
		this.nobedlast = nobedlast;
	}

	public StrukClosing getNoclosing() {
		return noclosing;
	}

	public void setNoclosing(StrukClosing noclosing) {
		this.noclosing = noclosing;
	}

	public String getNoClosingId() {
		return NoClosingId;
	}

	public void setNoClosingId(String noClosingId) {
		NoClosingId = noClosingId;
	}

	public Pasien getNocm() {
		return nocm;
	}

	public void setNocm(Pasien nocm) {
		this.nocm = nocm;
	}

	public Integer getNoCMId() {
		return NoCMId;
	}

	public void setNoCMId(Integer noCMId) {
		NoCMId = noCMId;
	}

	public String getNofaktur() {
		return nofaktur;
	}

	public void setNofaktur(String nofaktur) {
		this.nofaktur = nofaktur;
	}

	public RegistrasiPelayananPasien getNomasuk() {
		return nomasuk;
	}

	public void setNomasuk(RegistrasiPelayananPasien nomasuk) {
		this.nomasuk = nomasuk;
	}

	public String getNoMasukId() {
		return NoMasukId;
	}

	public void setNoMasukId(String noMasukId) {
		NoMasukId = noMasukId;
	}

	public StrukOrder getNoorder() {
		return noorder;
	}

	public void setNoorder(StrukOrder noorder) {
		this.noorder = noorder;
	}

	public String getNoOrderId() {
		return NoOrderId;
	}

	public void setNoOrderId(String noOrderId) {
		NoOrderId = noOrderId;
	}

	public StrukPlanning getNoplanning() {
		return noplanning;
	}

	public void setNoplanning(StrukPlanning noplanning) {
		this.noplanning = noplanning;
	}

	public String getNoPlanningId() {
		return NoPlanningId;
	}

	public void setNoPlanningId(String noPlanningId) {
		NoPlanningId = noPlanningId;
	}

	public PasienDaftar getNoregistrasi() {
		return noregistrasi;
	}

	public void setNoregistrasi(PasienDaftar noregistrasi) {
		this.noregistrasi = noregistrasi;
	}

	public String getNoRegistrasiId() {
		return NoRegistrasiId;
	}

	public void setNoRegistrasiId(String noRegistrasiId) {
		NoRegistrasiId = noRegistrasiId;
	}

	public StrukBuktiPengeluaran getNosbklast() {
		return nosbklast;
	}

	public void setNosbklast(StrukBuktiPengeluaran nosbklast) {
		this.nosbklast = nosbklast;
	}

	public String getNoSBKLastId() {
		return NoSBKLastId;
	}

	public void setNoSBKLastId(String noSBKLastId) {
		NoSBKLastId = noSBKLastId;
	}

	public StrukBuktiPenerimaan getNosbmlast() {
		return nosbmlast;
	}

	public void setNosbmlast(StrukBuktiPenerimaan nosbmlast) {
		this.nosbmlast = nosbmlast;
	}

	public String getNoSBMLastId() {
		return NoSBMLastId;
	}

	public void setNoSBMLastId(String noSBMLastId) {
		NoSBMLastId = noSBMLastId;
	}

	public String getNostruk() {
		return nostruk;
	}

	public void setNostruk(String nostruk) {
		this.nostruk = nostruk;
	}

	public String getNostruk_intern() {
		return nostruk_intern;
	}

	public void setNostruk_intern(String nostruk_intern) {
		this.nostruk_intern = nostruk_intern;
	}

	public String getNoteleponfaks() {
		return noteleponfaks;
	}

	public void setNoteleponfaks(String noteleponfaks) {
		this.noteleponfaks = noteleponfaks;
	}

	public String getNotelpmobilerekanansales() {
		return notelpmobilerekanansales;
	}

	public void setNotelpmobilerekanansales(String notelpmobilerekanansales) {
		this.notelpmobilerekanansales = notelpmobilerekanansales;
	}

	public String getNotelpmobiletempattujuan() {
		return notelpmobiletempattujuan;
	}

	public void setNotelpmobiletempattujuan(String notelpmobiletempattujuan) {
		this.notelpmobiletempattujuan = notelpmobiletempattujuan;
	}

	public String getNourutlogin() {
		return nourutlogin;
	}

	public void setNourutlogin(String nourutlogin) {
		this.nourutlogin = nourutlogin;
	}

	public String getNourutruangan() {
		return nourutruangan;
	}

	public void setNourutruangan(String nourutruangan) {
		this.nourutruangan = nourutruangan;
	}

	public String getPerusahaankurir() {
		return perusahaankurir;
	}

	public void setPerusahaankurir(String perusahaankurir) {
		this.perusahaankurir = perusahaankurir;
	}

	public Double getQtydetailjenisproduk() {
		return qtydetailjenisproduk;
	}

	public void setQtydetailjenisproduk(Double qtydetailjenisproduk) {
		this.qtydetailjenisproduk = qtydetailjenisproduk;
	}

	public Byte getQtyoranglast() {
		return qtyoranglast;
	}

	public void setQtyoranglast(Byte qtyoranglast) {
		this.qtyoranglast = qtyoranglast;
	}

	public Double getQtyproduk() {
		return qtyproduk;
	}

	public void setQtyproduk(Double qtyproduk) {
		this.qtyproduk = qtyproduk;
	}

	public Date getTglfaktur() {
		return tglfaktur;
	}

	public void setTglfaktur(Date tglfaktur) {
		this.tglfaktur = tglfaktur;
	}

	public Date getTgljatuhtempo() {
		return tgljatuhtempo;
	}

	public void setTgljatuhtempo(Date tgljatuhtempo) {
		this.tgljatuhtempo = tgljatuhtempo;
	}

	public Date getTglstruk() {
		return tglstruk;
	}

	public void setTglstruk(Date tglstruk) {
		this.tglstruk = tglstruk;
	}

	public Date getTglterimakiriman() {
		return tglterimakiriman;
	}

	public void setTglterimakiriman(Date tglterimakiriman) {
		this.tglterimakiriman = tglterimakiriman;
	}

	public Double getTotalbeamaterai() {
		return totalbeamaterai;
	}

	public void setTotalbeamaterai(Double totalbeamaterai) {
		this.totalbeamaterai = totalbeamaterai;
	}

	public Double getTotalberatkg() {
		return totalberatkg;
	}

	public void setTotalberatkg(Double totalberatkg) {
		this.totalberatkg = totalberatkg;
	}

	public Double getTotalbiayakirim() {
		return totalbiayakirim;
	}

	public void setTotalbiayakirim(Double totalbiayakirim) {
		this.totalbiayakirim = totalbiayakirim;
	}

	public Double getTotalbiayatambahan() {
		return totalbiayatambahan;
	}

	public void setTotalbiayatambahan(Double totalbiayatambahan) {
		this.totalbiayatambahan = totalbiayatambahan;
	}

	public Double getTotaldiscount() {
		return totaldiscount;
	}

	public void setTotaldiscount(Double totaldiscount) {
		this.totaldiscount = totaldiscount;
	}

	public Double getTotaldiscountgive() {
		return totaldiscountgive;
	}

	public void setTotaldiscountgive(Double totaldiscountgive) {
		this.totaldiscountgive = totaldiscountgive;
	}

	public Double getTotaldiscountsave() {
		return totaldiscountsave;
	}

	public void setTotaldiscountsave(Double totaldiscountsave) {
		this.totaldiscountsave = totaldiscountsave;
	}

	public Double getTotalhargasatuan() {
		return totalhargasatuan;
	}

	public void setTotalhargasatuan(Double totalhargasatuan) {
		this.totalhargasatuan = totalhargasatuan;
	}

	public Double getTotalharusdibayar() {
		return totalharusdibayar;
	}

	public void setTotalharusdibayar(Double totalharusdibayar) {
		this.totalharusdibayar = totalharusdibayar;
	}

	public Double getTotalpph() {
		return totalpph;
	}

	public void setTotalpph(Double totalpph) {
		this.totalpph = totalpph;
	}

	public Double getTotalppn() {
		return totalppn;
	}

	public void setTotalppn(Double totalppn) {
		this.totalppn = totalppn;
	}

	public Double getTotalpprofile() {
		return totalpprofile;
	}

	public void setTotalpprofile(Double totalpprofile) {
		this.totalpprofile = totalpprofile;
	}

	public Double getTotalprekanan() {
		return totalprekanan;
	}

	public void setTotalprekanan(Double totalprekanan) {
		this.totalprekanan = totalprekanan;
	}

	public Set<StrukPelayananDetail> getStrukPelayananDetail() {
		return strukPelayananDetail;
	}

	public void setStrukPelayananDetail(Set<StrukPelayananDetail> strukPelayananDetail) {
		this.strukPelayananDetail = strukPelayananDetail;
	}

	public SatuanWaktuKesling getSatuanWaktuKesling() {
		return satuanWaktuKesling;
	}

	public void setSatuanWaktuKesling(SatuanWaktuKesling satuanWaktuKesling) {
		this.satuanWaktuKesling = satuanWaktuKesling;
	}

	public JenisLimbahB3Masuk getJenisLimbahB3Masuk() {
		return jenisLimbahB3Masuk;
	}

	public void setJenisLimbahB3Masuk(JenisLimbahB3Masuk jenisLimbahB3Masuk) {
		this.jenisLimbahB3Masuk = jenisLimbahB3Masuk;
	}

	public Integer getJenisLimbahB3MasukId() {
		return jenisLimbahB3MasukId;
	}

	public void setJenisLimbahB3MasukId(Integer jenisLimbahB3MasukId) {
		this.jenisLimbahB3MasukId = jenisLimbahB3MasukId;
	}

	public Integer getObjectSatuanWaktuKeslingId() {
		return ObjectSatuanWaktuKeslingId;
	}

	public void setObjectSatuanWaktuKeslingId(Integer objectSatuanWaktuKeslingId) {
		ObjectSatuanWaktuKeslingId = objectSatuanWaktuKeslingId;
	}

	public String getVerifikasi() {
		return verifikasi;
	}

	public void setVerifikasi(String verifikasi) {
		this.verifikasi = verifikasi;
	}

	public Set<HargaNettoProdukByTerima> getHargaNettoProdukByTerima() {
		return hargaNettoProdukByTerima;
	}

	public void setHargaNettoProdukByTerima(Set<HargaNettoProdukByTerima> hargaNettoProdukByTerima) {
		this.hargaNettoProdukByTerima = hargaNettoProdukByTerima;
	}

	public Set<StokProdukDetail> getStokProdukDetail() {
		return stokProdukDetail;
	}

	public void setStokProdukDetail(Set<StokProdukDetail> stokProdukDetail) {
		this.stokProdukDetail = stokProdukDetail;
	}

	public Pegawai getKdpegawaipenerima() {
		return kdpegawaipenerima;
	}

	public void setKdpegawaipenerima(Pegawai kdpegawaipenerima) {
		this.kdpegawaipenerima = kdpegawaipenerima;
	}

	// add by Arya 2017-02-10
	@JsonManagedReference
	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "strukPelayanan")
	private Set<MappingKirimDokumenPasien> mapKirimDokumenPasien = new HashSet<MappingKirimDokumenPasien>();
	// end add by Arya 2017-02-10

	public Set<MappingKirimDokumenPasien> getMapKirimDokumenPasien() {
		return mapKirimDokumenPasien;
	}

	public void setMapKirimDokumenPasien(Set<MappingKirimDokumenPasien> mapKirimDokumenPasien) {
		this.mapKirimDokumenPasien = mapKirimDokumenPasien;
	}

	public Date getTanggalKontrak() {
		return tanggalKontrak;
	}

	public void setTanggalKontrak(Date tanggalKontrak) {
		this.tanggalKontrak = tanggalKontrak;
	}

	public Date getTanggalSpk() {
		return tanggalSpk;
	}

	public void setTanggalSpk(Date tanggalSpk) {
		this.tanggalSpk = tanggalSpk;
	}

	public Pegawai getMengetahui() {
		return mengetahui;
	}

	public void setMengetahui(Pegawai mengetahui) {
		this.mengetahui = mengetahui;
	}

	public Integer getMengetahuiId() {
		return mengetahuiId;
	}

	public void setMengetahuiId(Integer mengetahuiId) {
		this.mengetahuiId = mengetahuiId;
	}

	public Pegawai getPjPenerima() {
		return pjPenerima;
	}

	public void setPjPenerima(Pegawai pjPenerima) {
		this.pjPenerima = pjPenerima;
	}

	public Integer getPjPenerimaId() {
		return pjPenerimaId;
	}

	public void setPjPenerimaId(Integer pjPenerimaId) {
		this.pjPenerimaId = pjPenerimaId;
	}

	public Pegawai getMenerima() {
		return menerima;
	}

	public void setMenerima(Pegawai menerima) {
		this.menerima = menerima;
	}

	public Integer getMenerimaId() {
		return menerimaId;
	}

	public void setMenerimaId(Integer menerimaId) {
		this.menerimaId = menerimaId;
	}

	public Pegawai getMenyerahkan() {
		return menyerahkan;
	}

	public void setMenyerahkan(Pegawai menyerahkan) {
		this.menyerahkan = menyerahkan;
	}

	public Integer getMenyerahkanId() {
		return menyerahkanId;
	}

	public void setMenyerahkanId(Integer menyerahkanId) {
		this.menyerahkanId = menyerahkanId;
	}

	public String getNoSppb() {
		return noSppb;
	}

	public void setNoSppb(String noSppb) {
		this.noSppb = noSppb;
	}

	public String getNoKontrak() {
		return noKontrak;
	}

	public void setNoKontrak(String noKontrak) {
		this.noKontrak = noKontrak;
	}

	public String getNoTerima() {
		return noTerima;
	}

	public void setNoTerima(String noTerima) {
		this.noTerima = noTerima;
	}

	public String getNoDokumen() {
		return noDokumen;
	}

	public void setNoDokumen(String noDokumen) {
		this.noDokumen = noDokumen;
	}

	public Date getTglDokumen() {
		return tglDokumen;
	}

	public void setTglDokumen(Date tglDokumen) {
		this.tglDokumen = tglDokumen;
	}

	public String getNoPesanan() {
		return noPesanan;
	}

	public void setNoPesanan(String noPesanan) {
		this.noPesanan = noPesanan;
	}

	public Set<StrukPelayananPenjamin> getPenjamin() {
		return penjamin;
	}

	public void setPenjamin(Set<StrukPelayananPenjamin> penjamin) {
		this.penjamin = penjamin;
	}

	public String getNoRecTriger() {
		return noRecTriger;
	}

	public void setNoRecTriger(String noRecTriger) {
		this.noRecTriger = noRecTriger;
	}

	public CssdProsesSterilisasi getCssdProsesSterilisasi() {
		return cssdProsesSterilisasi;
	}

	public void setCssdProsesSterilisasi(CssdProsesSterilisasi cssdProsesSterilisasi) {
		this.cssdProsesSterilisasi = cssdProsesSterilisasi;
	}

	public Integer getCssdProsesSterilisasiId() {
		return cssdProsesSterilisasiId;
	}

	public void setCssdProsesSterilisasiId(Integer cssdProsesSterilisasiId) {
		this.cssdProsesSterilisasiId = cssdProsesSterilisasiId;
	}

	public Set<CssdMappingCaraSterilisasi> getCssdMappingProsesSterelisasi() {
		return cssdMappingProsesSterelisasi;
	}

	public void setCssdMappingProsesSterelisasi(Set<CssdMappingCaraSterilisasi> cssdMappingProsesSterelisasi) {
		this.cssdMappingProsesSterelisasi = cssdMappingProsesSterelisasi;
	}

	public Integer getNoUrut() {
		return noUrut;
	}

	public void setNoUrut(Integer noUrut) {
		this.noUrut = noUrut;
	}

	public String getLinenBs() {
		return linenBs;
	}

	public void setLinenBs(String linenBs) {
		this.linenBs = linenBs;
	}

	public String getLinenB() {
		return linenB;
	}

	public void setLinenB(String linenB) {
		this.linenB = linenB;
	}

	public String getLinenS() {
		return linenS;
	}

	public void setLinenS(String linenS) {
		this.linenS = linenS;
	}

	public String getLinenK() {
		return linenK;
	}

	public void setLinenK(String linenK) {
		this.linenK = linenK;
	}

	public String getPoucesBs() {
		return poucesBs;
	}

	public void setPoucesBs(String poucesBs) {
		this.poucesBs = poucesBs;
	}

	public String getPoucesB() {
		return poucesB;
	}

	public void setPoucesB(String poucesB) {
		this.poucesB = poucesB;
	}

	public String getPoucesS() {
		return poucesS;
	}

	public void setPoucesS(String poucesS) {
		this.poucesS = poucesS;
	}

	public String getPoucesK() {
		return poucesK;
	}

	public void setPoucesK(String poucesK) {
		this.poucesK = poucesK;
	}

	public String getNamaLengkapAmbil() {
		return namaLengkapAmbil;
	}

	public void setNamaLengkapAmbil(String namaLengkapAmbil) {
		this.namaLengkapAmbil = namaLengkapAmbil;
	}

	public Date getTglAmbil() {
		return tglAmbil;
	}

	public void setTglAmbil(Date tglAmbil) {
		this.tglAmbil = tglAmbil;
	}

	public String getKeteranganAmbil() {
		return keteranganAmbil;
	}

	public void setKeteranganAmbil(String keteranganAmbil) {
		this.keteranganAmbil = keteranganAmbil;
	}
	
	

}
